from  compyler.codeObjectAssembler import codeObjectAssembler
from pyasm.x86cpToMemory import CpToMemory
import unittest


x = codeObjectAssembler()
co = compile(file("pystone.py").read(),"","exec")
assem = x.assembleCodeObject(co)
mem = CpToMemory(assem)
mem.MakeMemory()
mem.BindPythonFunctions(globals(),bindFunction=lambda x:xcodeobject(x,0))
print type(main)
exec main in globals(),globals()



